Subject: Re: linux-next: manual merge of the iommu tree with the pci-current tree

From: Joerg Roedel <[email-masked]>
Date: Fri, 16 Dec 2011 09:52:47 +0100

Hi Stephen,

On Fri, Dec 16, 2011 at 01:30:26PM +1100, Stephen Rothwell wrote:
> Today's linux-next merge of the iommu tree got a conflict in
> drivers/pci/hotplug/acpiphp_glue.c between commit 619a5182d1f3 ("PCI
> hotplug: Always allow acpiphp to handle non-PCIe bridges") from the
> pci-current tree and commit d90116ea38f7 ("PCI/ACPI: Make acpiphp ignore
> root bridges using SHPC native hotplug") from the iommu tree.

That's weird. This conflict is between a patch in my tree which I pulled
in from the PCI tree and another patch from the PCI tree. So any
conflict should already be solved in the PCI tree, no?

Jesse, the pri-changes branch you provided me is a subset of your
linux-next branch, right?

> I fixed it up (I think - see below) and can carry the fix as necessary.

Jesse should comment on the correctness of the fix :)

	Joerg